diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index d86fec2..f86ff21 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -29198,49 +29198,64 @@ o )show DoubleFloat
 DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
    TranscendentalFunctionCategory, SpecialFunctionCategory, _
    ConvertibleTo InputForm) with
+
       _/   : (%, Integer) -> %
         ++ x / i computes the division from x by an integer i.
+
       _*_* : (%,%) -> %
         ++ x ** y returns the yth power of x (equal to \spad{exp(y log x)}).
+
       exp1 : () -> %
         ++ exp1() returns the natural log base \spad{2.718281828...}.
+
       hash : % -> Integer
         ++ hash(x) returns the hash key for x
+
       log2 :  % -> %
         ++ log2(x) computes the logarithm with base 2 for x.
+
       log10: % -> %
         ++ log10(x) computes the logarithm with base 10 for x.
+
       atan : (%,%) -> %
         ++ atan(x,y) computes the arc tangent from x with phase y.
+
       Gamma: % -> %
         ++ Gamma(x) is the Euler Gamma function.
+
       Beta : (%,%) -> %
         ++ Beta(x,y) is \spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.
+
       doubleFloatFormat : String -> String
-        ++ change the output format for doublefloats using lisp format strings
+        ++doubleFloatFormat changes the output format for doublefloats 
+        ++using lisp format strings
+
       rationalApproximation: (%, NonNegativeInteger) -> Fraction Integer
-        ++ rationalApproximation(f, n) computes a rational approximation
-        ++ r to f with relative error \spad{< 10**(-n)}.
+        ++rationalApproximation(f, n) computes a rational approximation
+        ++r to f with relative error \spad{< 10**(-n)}.
+
       rationalApproximation: (%, NonNegativeInteger, NonNegativeInteger) -> _
             Fraction Integer
-        ++ rationalApproximation(f, n, b) computes a rational
-        ++ approximation r to f with relative error \spad{< b**(-n)}
-        ++ (that is, \spad{|(r-f)/f| < b**(-n)}).
+        ++rationalApproximation(f, n, b) computes a rational
+        ++approximation r to f with relative error \spad{< b**(-n)}
+        ++(that is, \spad{|(r-f)/f| < b**(-n)}).
+
       machineFraction : % -> Fraction Integer
-        ++ machineFraction(x) returns a bit-exact fraction of the machine
-        ++ floating point number using the common lisp integer-decode-float 
-        ++ function. See Steele, ISBN 0-13-152414-3 p354
-        ++ This function can be used to print results which do not depend
-        ++ on binary-to-decimal conversions
+        ++machineFraction(x) returns a bit-exact fraction of the machine
+        ++floating point number using the common lisp integer-decode-float 
+        ++function. See Steele, ISBN 0-13-152414-3 p354
+        ++This function can be used to print results which do not depend
+        ++on binary-to-decimal conversions
         ++
         ++X a:DFLOAT:=-1.0/3.0
         ++X machineFraction a
+
       integerDecode : % -> List Integer
-        ++ integerDecode(x) returns the multiple values of the  common 
-        ++ lisp integer-decode-float function. 
-        ++ See Steele, ISBN 0-13-152414-3 p354. This function can be used
-        ++ to ensure that the results are bit-exact and do not depend on
-        ++ the binary-to-decimal conversions.
+        ++integerDecode(x) returns the multiple values of the  common 
+        ++lisp integer-decode-float function. 
+        ++See Steele, ISBN 0-13-152414-3 p354. This function can be used
+        ++to ensure that the results are bit-exact and do not depend on
+        ++the binary-to-decimal conversions.
         ++
         ++X a:DFLOAT:=-1.0/3.0
         ++X integerDecode a
diff --git a/buglist b/buglist
index b3e8ff6..e2d4e9f 100644
--- a/buglist
+++ b/buglist
@@ -5352,20 +5352,6 @@ typos 40020:
 "The category of commutative rings with unity, \\spadignore{i.e.} rings where \\spadop{*} is commutative, and which have a multiplicative identity element."
 
 =========================================================================
-typos 40019:
-
->compiling DFLOAT.spad to DFLOAT.nrlib
- 
---->bookvol10.3.pamphlet-->DoubleFloat((doubleFloatFormat ((String) (String)))): Improper first word in comments: change
-"change the output format for doublefloats using lisp format strings"
-
---->bookvol10.3.pamphlet-->DoubleFloat((machineFraction ((Fraction (Integer)) %))): Improper first word in comments: 
-"\\indented{1}{machineFraction(x) returns a bit-exact fraction of the machine} \\indented{1}{floating point number using the common lisp integer-decode-float} \\indented{1}{function. See Steele, ISBN 0-13-152414-3 p354} \\indented{1}{This function can be used to print results which do not depend} \\indented{1}{on binary-to-decimal conversions} \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} machineFraction a"
-
---->bookvol10.3.pamphlet-->DoubleFloat((integerDecode ((List (Integer)) %))): Improper first word in comments: 
-"\\indented{1}{integerDecode(x) returns the multiple values of the\\space{2}common} \\indented{1}{lisp integer-decode-float function.} \\indented{1}{See Steele, ISBN 0-13-152414-3 p354. This function can be used} \\indented{1}{to ensure that the results are bit-exact and do not depend on} \\indented{1}{the binary-to-decimal conversions.} \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} integerDecode a"
-
-=========================================================================
 typos 40018:
 
 >compiling DIVRING.spad to DIVRING.nrlib
@@ -40557,3 +40543,18 @@ typos 40013:
 --->bookvol10.2.pamphlet-->FloatingPointSystem((base ((PositiveInteger)))): Improper first word in comments: 
 "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}."
 
+fixed 20130315.08.tpd.patch
+=========================================================================
+typos 40019:
+
+>compiling DFLOAT.spad to DFLOAT.nrlib
+ 
+--->bookvol10.3.pamphlet-->DoubleFloat((doubleFloatFormat ((String) (String)))): Improper first word in comments: change
+"change the output format for doublefloats using lisp format strings"
+
+--->bookvol10.3.pamphlet-->DoubleFloat((machineFraction ((Fraction (Integer)) %))): Improper first word in comments: 
+"\\indented{1}{machineFraction(x) returns a bit-exact fraction of the machine} \\indented{1}{floating point number using the common lisp integer-decode-float} \\indented{1}{function. See Steele, ISBN 0-13-152414-3 p354} \\indented{1}{This function can be used to print results which do not depend} \\indented{1}{on binary-to-decimal conversions} \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} machineFraction a"
+
+--->bookvol10.3.pamphlet-->DoubleFloat((integerDecode ((List (Integer)) %))): Improper first word in comments: 
+"\\indented{1}{integerDecode(x) returns the multiple values of the\\space{2}common} \\indented{1}{lisp integer-decode-float function.} \\indented{1}{See Steele, ISBN 0-13-152414-3 p354. This function can be used} \\indented{1}{to ensure that the results are bit-exact and do not depend on} \\indented{1}{the binary-to-decimal conversions.} \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} integerDecode a"
+
diff --git a/changelog b/changelog
index ecbb8dd..c5a7c79 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130315 tpd src/axiom-website/patches.html 20130315.08.tpd.patch
+20130315 tpd buglist DFLOAT fixed 40019
+20130315 tpd books/bookvol10.3 DFLOAT fixed 40019
 20130315 jzc src/axiom-website/patches.html 20130315.07.jzc.patch
 20130315 jzc books/bookvol0 add linebreak on p988
 20130315 tpd src/axiom-website/patches.html 20130315.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7a68e40..abf2912 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4065,5 +4065,7 @@ books/bookvol10.3 FPS fixed 40013
 changlog. fix jzc email address
 <a href="patches/20130315.07.jzc.patch">20130315.07.jzc.patch</a>
 books/bookvol0 add linebreak on p988
+<a href="patches/20130315.08.tpd.patch">20130315.08.tpd.patch</a>
+books/bookvol10.3 DFLOAT fixed 40019
  </body>
 </html>
